Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78774 - nph- CGIs and/or server-pushed methodes not working properly
Summary: nph- CGIs and/or server-pushed methodes not working properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL: http://nagoya.apache.org/bugzilla/sho...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-29 16:09 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-16 00:35:35 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-29 16:09:47 UTC
Description of Problem:

Look at:
http://nagoya.apache.org/bugzilla/show_bug.cgi?id=8482
http://nagoya.apache.org/bugzilla/show_bug.cgi?id=11178

i have a cgi which send a Content-type of multipart/x-mixed-replace". This cgi
is long to execute, and the goal of the multiparted thing is to look at the
progress of execution. If the POST request is made with HTTP/1.0, apache sends a
Content-lenght header, but with HTTP/1.1, it doesn't. The problem is, if apache
wants to know the Content-Lenght, it have to wait for the whole cgi to be
executed. Previously, the cgi was on a apache 1.3.23 and it was not replying
with a Content-Lenght header for a POST request in HTTP/1.0.

Version-Release number of selected component (if applicable):
httpd-2.0.40-8

How Reproducible:
Every time.

Steps to Reproduce:
1.Download http://cgiirc.sourceforge.net/files/teststream.pl.txt
2.Place under your cgi folder
3.Execute it with your browser

Actual Results:
Output is buffered up to the end of execution of the script.

Expected Results:
We should see the text appearing line by line

Additional Information:
	
Bugzilla is my friend. And you?

Comment 1 Need Real Name 2002-12-16 00:35:35 UTC
httpd-2.0.40-11 solves it.

https://rhn.redhat.com/errata/RHSA-2002-222.html


Note You need to log in before you can comment on or make changes to this bug.